This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 85876 - Mason doesn't work with the mod+perl provided by Red Hat Lniux 8.0
Mason doesn't work with the mod+perl provided by Red Hat Lniux 8.0
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: mod_perl (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-09 22:35 EST by Jay Emerson
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-10 04:51:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Emerson 2003-03-09 22:35:59 EST
Description of problem:
    After installing the Perl module HTML::Mason and configuring the Apache
configuration file as described in the Mason documentation and on the Mason web
site (http://www.,asonhq.com) Apache fails to start, issuing the following error.

# /etc/init.d/httpd restart
Stopping httpd:                                            [  OK  ]
Starting httpd: [Sun Mar 09 17:09:54 2003] [error] Can't locate
Apache/Constants.pm in @INC (@INC contains:
/usr/lib/perl5/5.8.0/i386-linux-thread-multi /usr/lib/perl5/5.8.0
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl .) at
/usr/lib/perl5/site_perl/5.8.0/HTML/Mason/ApacheHandler.pm line 13.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.8.0/HTML/Mason/ApacheHandler.pm line 13.
Compilation failed in require at (eval 1) line 3.

[Sun Mar 09 17:09:54 2003] [error] Can't load Perl module
HTML::Mason::ApacheHandler for server test:0, exiting...

                                                           [FAILED]

    The Mason FAQ suggests removing the mod_perl included with Red Hat Linux and
compiling mod_perl from source.

    (Quoted from http://www.masonhq.com/docs/faq/#installation)
>Also, if you are running RedHat Linux, do not use the mod_perl RPMs that ship
>with RedHat. They are not reliable (as of RedHat 6.2). 
    I honestly don't know who is right or wrong here but I have been a loyal Red
Hat user/sysadmin since 4.2. What ever the problem is, I need to use Mason and
would like to use Red Hat. Can this issue please be solved?

Version-Release number of selected component (if applicable):
mod_perl-1.99_05-3

How reproducible:
Attempted serval times on both SMP and single CPU systems. Reporduced every
time. 100%

Steps to Reproduce:
1. Install HTML::Mason from CPAN
2. Configure Apache to use Mason
3. Restart Apache
    
Actual results:
Apache failed to start.

Expected results:
A working Apache with mod_perl and HTML::Mason.

Additional info:
Comment 1 Gary Benson 2003-03-10 04:51:36 EST
"Until some time after mod_perl 2.0 is officially released, Mason will only
support mod_perl 1.x, specifically 1.22+.

You may be able to use Mason with mod_perl 2.0 if you turn on mod_perl 2.0's 1.x
compatibility layer by loading ``Apache::compat'' before you load Mason."

 -- http://www.masonhq.com/docs/faq/#can_i_use_mason_with_mod_perl_1_

Note You need to log in before you can comment on or make changes to this bug.